[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.Destroy

Destructor for the class instance.

## Declaration

Source position: printers.pas line 309

`public destructor TPrinter.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy updates the status flags for the device to include the value pfDestroying. It calls the DoDestroy method to cancel an active print job and free resources allocated in the class instance. Destroy calls the inherited destructor prior to exit.